$(function(){
	$('.switch-btn').on('switchChange.bootstrapSwitch', function(event, state) {
		$(this).parents('[class^="col-"]').find('button').toggleClass('hidden');
	});
});

function enableConf(id){
	$("#anagr_id").val(id);
	$('input[name="servizio[]"]:not(:checked)').next('.opt-btn').addClass("hidden")
	$('input[name="servizio[]"]:checked').next('.opt-btn').removeClass("hidden");
	
	$('.opt-btn.hidden').prop('disabled',true);
	$('.opt-btn:not(.hidden)').prop('disabled',false);
	
}

function servconfig(serv_cod){
	dialog('/serv_' + serv_cod + '/diag/adm_conf/?id=' + $('#anagr_id').val());
}

function showOwner(change_owner){
	if($('#anagr_id').val() == ''){
		alert("Devi prima inserire l'anagrafica");
		return;
	}
	if(!change_owner)
		dialog('/users/diag/user_show/?id='+$('#owner-id').val()+'&anagr='+$('#anagr_id').val());
	else
		dialog('/users/diag/user_select/?anagr='+$('#anagr_id').val(),true);
}
function setOwnerName(dest_id,name){
	var decoded = $('<textarea/>').html(name).val();
	$(dest_id).val(decoded);
}